Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::ApplicationDescriptor`

## Overview

    struct ApplicationDescriptor

An application descriptor.

### Used By

`Admin::addApplication`, `Admin::getApplicationDescriptor`, `Admin::getDefaultApplicationDescriptor`, `Admin::syncApplication`, ApplicationDescriptorSeq, `FileParser::parse`, `RegistryObserver::applicationAdded`

### Data Member Index

name

  The application name.

variables

  The variables defined in the application descriptor.

replicaGroups

  The replica groups.

serverTemplates

  The server templates.

serviceTemplates

  The service templates.

nodes

  The application nodes.

distrib

  The application distribution.

description

  The description of this application.

propertySets

  Property set descriptors.

## `name`

    string name;

The application name.

## `variables`

    [ "java:type:{java.util.TreeMap}" ]
    StringStringDict variables;

The variables defined in the application descriptor.

## `replicaGroups`

    ReplicaGroupDescriptorSeq replicaGroups;

The replica groups.

## `serverTemplates`

    TemplateDescriptorDict serverTemplates;

The server templates.

## `serviceTemplates`

    TemplateDescriptorDict serviceTemplates;

The service templates.

## `nodes`

    NodeDescriptorDict nodes;

The application nodes.

## `distrib`

    DistributionDescriptor distrib;

The application distribution.

## `description`

    string description;

The description of this application.

## `propertySets`

    PropertySetDescriptorDict propertySets;

Property set descriptors.

<<< Previous | Home | Next >>>
`IceGrid::AllocationTimeoutException` | Up | `IceGrid::ApplicationNotExistException`